%{?mingw_package_header}

%global         api_version     1.0
%global         gstreamer_version 1.4.4

Name:           mingw-gstreamer1-plugins-bad-free
Version:        %{gstreamer_version}
Release:        2%{?dist}
Summary:        Cross compiled GStreamer1 plug-ins "bad"

# The freeze and nfs plugins are LGPLv2 (only)
Group:          Applications/Multimedia
License:        LGPLv2+ and LGPLv2
URL:            http://gstreamer.freedesktop.org/
# The source is:
# http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.xz
# modified with gst1-p-bad-cleanup.sh from SOURCE1
Source0:        gst-plugins-bad-free-%{version}.tar.xz
Source1:        gst-p-bad-cleanup.sh

BuildArch:      noarch

BuildRequires:  autoconf
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-gstreamer1 >= %{gstreamer_version}
BuildRequires:  mingw64-gstreamer1 >= %{gstreamer_version}
BuildRequires:  mingw32-gstreamer1-plugins-base >= %{gstreamer_version}
BuildRequires:  mingw64-gstreamer1-plugins-base >= %{gstreamer_version}
BuildRequires:  mingw32-bzip2
BuildRequires:  mingw64-bzip2
BuildRequires:  mingw32-gettext
BuildRequires:  mingw64-gettext
BuildRequires:  mingw32-orc
BuildRequires:  mingw64-orc
BuildRequires:  mingw32-pthreads
BuildRequires:  mingw64-pthreads
BuildRequires:  mingw32-jasper
BuildRequires:  mingw64-jasper
BuildRequires:  mingw32-gsm
BuildRequires:  mingw64-gsm
BuildRequires:  mingw32-openssl
BuildRequires:  mingw64-openssl
BuildRequires:  mingw32-wavpack
BuildRequires:  mingw64-wavpack
BuildRequires:  mingw32-opus
BuildRequires:  mingw64-opus
BuildRequires:  mingw32-nettle
BuildRequires:  mingw64-nettle
BuildRequires:  mingw32-libgcrypt
BuildRequires:  mingw64-libgcrypt
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw64-libxml2
BuildRequires:  mingw32-gnutls
BuildRequires:  mingw64-gnutls
#BuildRequires:  mingw32-curl
#BuildRequires:  mingw64-curl
BuildRequires:  mingw32-OpenEXR
BuildRequires:  mingw64-OpenEXR

# For glib-genmarshal
BuildRequires:  glib2-devel


%description
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


# Mingw32
%package -n mingw32-gstreamer1-plugins-bad-free
Summary:        %{summary}
Requires:       mingw32-gstreamer1 >= %{gstreamer_version}

%description -n mingw32-gstreamer1-plugins-bad-free
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


# Mingw64
%package -n mingw64-gstreamer1-plugins-bad-free
Summary:        %{summary}
Requires:       mingw64-gstreamer1 >= %{gstreamer_version}

%description -n mingw64-gstreamer1-plugins-bad-free
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


%{?mingw_debug_package}


%prep
%setup -q -n gst-plugins-bad-%{version}


%build
%mingw_configure \
    --with-package-name='Fedora Mingw gstreamer1-plugins-bad-free package' \
    --with-package-origin='http://download.fedora.redhat.com/fedora' \
    --enable-debug \
    --enable-experimental \
    --disable-gtk-doc \
    --disable-examples \
    --disable-chromaprint \
    --disable-curl \
    --disable-dts \
    --disable-eglgles \
    --disable-faac \
    --disable-faad \
    --disable-flite \
    --disable-libmms \
    --disable-mimic \
    --disable-mpeg2enc \
    --disable-mpg123 \
    --disable-mplex \
    --disable-nas \
    --disable-neon \
    --disable-openal \
    --disable-openjpeg \
    --disable-rtmp \
    --disable-sbc \
    --disable-spandsp \
    --disable-ofa \
    --disable-opencv \
    --disable-uvch264 \
    --disable-voamrwbenc \
    --disable-webp \
    --disable-winks \
    --disable-xvid

%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gstreamer-%{api_version}/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gstreamer-%{api_version}/*.la
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gstreamer-%{api_version}/*.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gstreamer-%{api_version}/*.a

%mingw_find_lang gstreamer1-plugins-bad-free --all-name


# Mingw32
%files -n mingw32-gstreamer1-plugins-bad-free -f mingw32-gstreamer1-plugins-bad-free.lang
%doc AUTHORS COPYING README REQUIREMENTS

# libraries
%{mingw32_bindir}/libgstbasecamerabinsrc-1.0-0.dll
%{mingw32_bindir}/libgstbadbase-1.0-0.dll
%{mingw32_bindir}/libgstbadvideo-1.0-0.dll
%{mingw32_bindir}/libgstcodecparsers-1.0-0.dll
%{mingw32_bindir}/libgstgl-1.0-0.dll
%{mingw32_bindir}/libgstinsertbin-1.0-0.dll
%{mingw32_bindir}/libgstmpegts-1.0-0.dll
%{mingw32_bindir}/libgstphotography-1.0-0.dll
%{mingw32_bindir}/libgsturidownloader-1.0-0.dll


# bad plugins
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaccurip.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstadpcmdec.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstadpcmenc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaiff.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstasfmux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiofxbad.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiomixer.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiovisualizers.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstautoconvert.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstbayer.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstbz2.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstcamerabin2.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstcoloreffects.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstcompositor.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdashdemux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstd3dvideosink.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdataurisrc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdebugutilsbad.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstdirectsoundsrc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfestival.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfieldanalysis.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfragmented.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfreeverb.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstfrei0r.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstgaudieffects.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstgdp.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstgeometrictransform.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstgsm.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstid3tag.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstinter.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstinterlace.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstivfparse.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstivtc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstjp2kdecimator.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstjpegformat.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstliveadder.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmidi.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmpegpsdemux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmpegpsmux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmpegtsdemux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmpegtsmux.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstmxf.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstopenexr.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstopengl.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstopus.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstpcapparse.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstpnm.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstrawparse.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstremovesilence.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstrfbsrc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsdpelem.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsegmentclip.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsmooth.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsmoothstreaming.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstspeed.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgststereo.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsubenc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideofiltersbad.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideoparsersbad.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideosignal.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvmnc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstwasapi.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstwinscreencap.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgsty4mdec.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstyadif.dll

# %files devel
# plugin helper library headers
%dir %{mingw32_includedir}/gstreamer-%{api_version}/gst/interfaces
%{mingw32_includedir}/gstreamer-%{api_version}/gst/basecamerabinsrc/gstbasecamerasrc.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/basecamerabinsrc/gstcamerabin-enum.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/basecamerabinsrc/gstcamerabinpreview.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/codecparsers/gsth264parser.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/codecparsers/gsth265parser.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstmpeg4parser.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstmpegvideometa.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstmpegvideoparser.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstvc1parser.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstvp8parser.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstvp8rangedecoder.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/interfaces/photography.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/interfaces/photography-enumtypes.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gl.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/all_functions.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/base.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/blending.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/eglimage.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/fbo.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/fixedfunction.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/gles.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/gstgl_compat.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/gstgl_gles2compat.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/opengl.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/shaders.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstgl_fwd.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglapi.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglbufferpool.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglcolorconvert.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglconfig.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglcontext.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstgldisplay.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstgldownload.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglfeature.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglfilter.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglframebuffer.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglmemory.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglshader.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglshadervariables.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglupload.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstgluploadmeta.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglutils.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/gl/gstglwindow.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/insertbin/gstinsertbin.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/mpegts/gst-atsc-section.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/mpegts/gst-dvb-descriptor.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/mpegts/gst-dvb-section.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/mpegts/gst-scte-section.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/mpegts/gstmpegts-enumtypes.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/mpegts/gstmpegtsdescriptor.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/mpegts/gstmpegtssection.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/mpegts/mpegts.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/uridownloader/gstfragment.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/uridownloader/gsturidownloader.h
%{mingw32_includedir}/gstreamer-%{api_version}/gst/uridownloader/gsturidownloader_debug.h

%{mingw32_libdir}/libgstbadbase-1.0.dll.a
%{mingw32_libdir}/libgstbadbase-1.0.la
%{mingw32_libdir}/libgstbadvideo-1.0.dll.a
%{mingw32_libdir}/libgstbadvideo-1.0.la
%{mingw32_libdir}/libgstbasecamerabinsrc-1.0.dll.a
%{mingw32_libdir}/libgstbasecamerabinsrc-1.0.la
%{mingw32_libdir}/libgstcodecparsers-1.0.dll.a
%{mingw32_libdir}/libgstcodecparsers-1.0.la
%{mingw32_libdir}/libgstgl-1.0.dll.a
%{mingw32_libdir}/libgstgl-1.0.la
%{mingw32_libdir}/libgstinsertbin-1.0.dll.a
%{mingw32_libdir}/libgstinsertbin-1.0.la
%{mingw32_libdir}/libgstmpegts-1.0.dll.a
%{mingw32_libdir}/libgstmpegts-1.0.la
%{mingw32_libdir}/libgstphotography-1.0.dll.a
%{mingw32_libdir}/libgstphotography-1.0.la
%{mingw32_libdir}/libgsturidownloader-1.0.dll.a
%{mingw32_libdir}/libgsturidownloader-1.0.la

%{mingw32_libdir}/pkgconfig/gstreamer-codecparsers-1.0.pc
%{mingw32_libdir}/pkgconfig/gstreamer-gl-1.0.pc
%{mingw32_libdir}/pkgconfig/gstreamer-insertbin-1.0.pc
%{mingw32_libdir}/pkgconfig/gstreamer-mpegts-1.0.pc
%{mingw32_libdir}/pkgconfig/gstreamer-plugins-bad-1.0.pc


# Mingw64
%files -n mingw64-gstreamer1-plugins-bad-free -f mingw64-gstreamer1-plugins-bad-free.lang
%doc AUTHORS COPYING README REQUIREMENTS

# libraries
%{mingw64_bindir}/libgstbasecamerabinsrc-1.0-0.dll
%{mingw64_bindir}/libgstbadbase-1.0-0.dll
%{mingw64_bindir}/libgstbadvideo-1.0-0.dll
%{mingw64_bindir}/libgstcodecparsers-1.0-0.dll
%{mingw64_bindir}/libgstgl-1.0-0.dll
%{mingw64_bindir}/libgstinsertbin-1.0-0.dll
%{mingw64_bindir}/libgstmpegts-1.0-0.dll
%{mingw64_bindir}/libgstphotography-1.0-0.dll
%{mingw64_bindir}/libgsturidownloader-1.0-0.dll


# bad plugins
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaccurip.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstadpcmdec.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstadpcmenc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaiff.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstasfmux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiofxbad.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiomixer.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiovisualizers.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstautoconvert.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstbayer.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstbz2.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstcamerabin2.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstcoloreffects.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstcompositor.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdashdemux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstd3dvideosink.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdataurisrc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdebugutilsbad.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstdirectsoundsrc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfestival.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfieldanalysis.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfragmented.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfreeverb.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstfrei0r.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstgaudieffects.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstgdp.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstgeometrictransform.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstgsm.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstid3tag.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstinter.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstinterlace.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstivfparse.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstivtc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstjp2kdecimator.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstjpegformat.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstliveadder.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmidi.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmpegpsdemux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmpegpsmux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmpegtsdemux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmpegtsmux.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstmxf.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstopenexr.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstopengl.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstopus.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstpcapparse.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstpnm.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstrawparse.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstremovesilence.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstrfbsrc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsdpelem.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsegmentclip.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsmooth.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsmoothstreaming.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstspeed.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgststereo.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsubenc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideofiltersbad.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideoparsersbad.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideosignal.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvmnc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstwasapi.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstwinscreencap.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgsty4mdec.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstyadif.dll

# %files devel
# plugin helper library headers
%dir %{mingw64_includedir}/gstreamer-%{api_version}/gst/interfaces
%{mingw64_includedir}/gstreamer-%{api_version}/gst/basecamerabinsrc/gstbasecamerasrc.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/basecamerabinsrc/gstcamerabin-enum.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/basecamerabinsrc/gstcamerabinpreview.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/codecparsers/gsth264parser.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/codecparsers/gsth265parser.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstmpeg4parser.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstmpegvideometa.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstmpegvideoparser.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstvc1parser.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstvp8parser.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/codecparsers/gstvp8rangedecoder.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/interfaces/photography.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/interfaces/photography-enumtypes.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gl.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/all_functions.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/base.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/blending.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/eglimage.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/fbo.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/fixedfunction.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/gles.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/gstgl_compat.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/gstgl_gles2compat.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/opengl.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/glprototypes/shaders.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstgl_fwd.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglapi.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglbufferpool.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglcolorconvert.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglconfig.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglcontext.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstgldisplay.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstgldownload.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglfeature.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglfilter.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglframebuffer.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglmemory.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglshader.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglshadervariables.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglupload.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstgluploadmeta.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglutils.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/gl/gstglwindow.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/insertbin/gstinsertbin.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/mpegts/gst-atsc-section.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/mpegts/gst-dvb-descriptor.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/mpegts/gst-dvb-section.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/mpegts/gst-scte-section.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/mpegts/gstmpegts-enumtypes.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/mpegts/gstmpegtsdescriptor.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/mpegts/gstmpegtssection.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/mpegts/mpegts.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/uridownloader/gstfragment.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/uridownloader/gsturidownloader.h
%{mingw64_includedir}/gstreamer-%{api_version}/gst/uridownloader/gsturidownloader_debug.h

%{mingw64_libdir}/libgstbadbase-1.0.dll.a
%{mingw64_libdir}/libgstbadbase-1.0.la
%{mingw64_libdir}/libgstbadvideo-1.0.dll.a
%{mingw64_libdir}/libgstbadvideo-1.0.la
%{mingw64_libdir}/libgstbasecamerabinsrc-1.0.dll.a
%{mingw64_libdir}/libgstbasecamerabinsrc-1.0.la
%{mingw64_libdir}/libgstcodecparsers-1.0.dll.a
%{mingw64_libdir}/libgstcodecparsers-1.0.la
%{mingw64_libdir}/libgstgl-1.0.dll.a
%{mingw64_libdir}/libgstgl-1.0.la
%{mingw64_libdir}/libgstinsertbin-1.0.dll.a
%{mingw64_libdir}/libgstinsertbin-1.0.la
%{mingw64_libdir}/libgstmpegts-1.0.dll.a
%{mingw64_libdir}/libgstmpegts-1.0.la
%{mingw64_libdir}/libgstphotography-1.0.dll.a
%{mingw64_libdir}/libgstphotography-1.0.la
%{mingw64_libdir}/libgsturidownloader-1.0.dll.a
%{mingw64_libdir}/libgsturidownloader-1.0.la

%{mingw64_libdir}/pkgconfig/gstreamer-codecparsers-1.0.pc
%{mingw64_libdir}/pkgconfig/gstreamer-gl-1.0.pc
%{mingw64_libdir}/pkgconfig/gstreamer-insertbin-1.0.pc
%{mingw64_libdir}/pkgconfig/gstreamer-mpegts-1.0.pc
%{mingw64_libdir}/pkgconfig/gstreamer-plugins-bad-1.0.pc


%changelog
* Thu Oct  8 2015 Fabiano Fidêncio <fidencio@redhat.com> 1.4.4-2
- Update the package name to mingw-gstreamer1-plugins-bad-free

* Mon Dec  1 2014 Victor Toso <victortoso@redhat.com> - 1.4.4-1
- Initial packaging.
  Resolves: rhbz#1166852
